IntervalRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class IntervalRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.IntervalRecord

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HourlyRecord

    public class IntervalRecord

extends Object
implements Serializable

Author:
  Andrea Manzi
See Also:
  Serialized Form

Constructor Summary
`IntervalRecord()`
`IntervalRecord(Long interval)` create an Interval record for the given Interval

Method Summary
`Double` | `getAverageInvocationTime()` get the averageInvocationTime
`Date` | `getEndInterval()`
`Long` | `getInterval()` get the interval
`Long` | `getInvocationNumber()` get the invocation Number
`String` | `getIP()` the caller IP
`Date` | `getStartInterval()`
`void` | `setAverageInvocationTime(Double averageInvocationTime)` set the averageInvocationTime
`void` | `setEndInterval(Date endInterval)`
`void` | `setInterval(Long interval)` set the time slot
`void` | `setInvocationNumber(Long invocationNumber)` set the invocationNumbers
`void` | `setIP(String iP)` the caller IP
`void` | `setStartInterval(Date startInterval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntervalRecord

    public IntervalRecord()

### IntervalRecord

    public IntervalRecord(Long interval)

  create an Interval record for the given Interval

  Parameters:
    `timeSlot` - the timeSlot

Method Detail

### getAverageInvocationTime

    public Double getAverageInvocationTime()

  get the averageInvocationTime

  Returns:
    the average invocation time

### setAverageInvocationTime

    public void setAverageInvocationTime(Double averageInvocationTime)

  set the averageInvocationTime

  Parameters:
    `averageInvocationTime` -

### getInvocationNumber

    public Long getInvocationNumber()

  get the invocation Number

  Returns:
    the invocation number

### setInvocationNumber

    public void setInvocationNumber(Long invocationNumber)

  set the invocationNumbers

  Parameters:
    `invocationNumber` - invocationNumber

### getInterval

    public Long getInterval()

  get the interval

  Returns:
    the interval

### setInterval

    public void setInterval(Long interval)

  set the time slot

  Parameters:
    `timeSlot` - the time slot

### getIP

    public String getIP()

  the caller IP

  Returns:
    the caller IP

### setIP

    public void setIP(String iP)

  the caller IP

  Parameters:
    `iP` - the caller IP

### getStartInterval

    public Date getStartInterval()

### setStartInterval

    public void setStartInterval(Date startInterval)

### getEndInterval

    public Date getEndInterval()

### setEndInterval

    public void setEndInterval(Date endInterval)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.